MEMSTART =?  0x500;
/*MEMEND = 0xa000;*/
MEMEND   =? 0xb400;
STACKLEN =?  0x400;

MEMORY
{
 zero : org = 0x50 , len = 0x70
 ram : org = MEMSTART, len=MEMEND-MEMSTART-STACKLEN
}

SECTIONS
{
  text : {*(text)} >ram
  .dtors : { *(.dtors) } > ram
  .ctors : { *(.ctors) } > ram
  rodata : {*(rodata)} >ram
  data: {*(data)} >ram
  bss (NOLOAD): {*(bss)} >ram
  zpage (NOLOAD) : {*(zpage) *(zp1) *(zp2)} >zero

  __BB = ADDR(bss);
  __BE = ADDR(bss)+SIZEOF(bss);
  ___heap = ADDR(bss) + SIZEOF(bss);
  ___heapend = MEMEND-STACKLEN;
}

